Functionality (scheduler-portlet 2.2.0-SNAPSHOT API)
Date: 2015-11-05

org.gcube.datatransfer.portlets.user.client

## Class Functionality

- java.lang.Object
- - org.gcube.datatransfer.portlets.user.client.Common
  - - org.gcube.datatransfer.portlets.user.client.Functionality

-     public class Functionality
      extends Common

  Author:
    Nikolaos Drakopoulos(CERN)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.gcube.datatransfer.portlets.user.client.Common

      `Common.DESTTYPE, Common.FolderToRetrieve, Common.SOURCETYPE`

  - ### Field Summary

    - ### Fields inherited from class org.gcube.datatransfer.portlets.user.client.Common

      `agentHostname, agentIsSelectedFromStatsPanel, agentStatProp, agentStats, agentStatsTooltip, autoId, baseDtoProp, callingManagementResult, callingManagementResultJson, callingSchedulerResult, callingWorkspaceRoot, cc1Uris, cc2Uris, closeButton, cmAgentStat, combo1, combo1Label, comboAgent, commands, commandsInGrid, currentAgentDestinationPath, currentAgentSourcePath, currentDataSourcePath, currentDataStoragePath, currentMongoDBDestinationPath, currentMongoDBSourcePath, dataSourcesList, dataStoragesList, date, dateLabel, defaultResourceName, defaultScope, defaultValuesSource, defaultValuesStorage, deleteCurrentFolder, deleteCurrentTreeSource, destCombo, destinationAnchor, destinationF, destinationFolder, destLabel, destLabelF, dialogBoxGen, east, editing, foc, focusTimer, folderDestination, folderResDestination, folderResSource, folderSource, force, forceInGrid, forTreeElementDescription, frequency, functions, gettingUserAndScope, getTransferRepeatingTimer, getTransferTimer, grid, gridAgentStats, hideSchedulerButton, idWorkspaceRoot, inputUrls, isAdmin, jsonWorkspace, lastCombo1Value, lastDestComboValue, lastSelectedAgentFolderDestName, lastSelectedAgentFolderName, lastSelectedDataSourceFolderName, lastSelectedDatastorageFolderName, lastSelectedFolderId, lastSelectedMongoDBFolderDestName, lastSelectedMongoDBFolderName, listAgentStats, listOutcomes, listTreeOutcomes, loadingIconForSource, loadingIconForTarget, loadingIconForTransfers, makeNewFolder, makeNewTreeSource, minGenHeight, minGenWidth, multiBoxAgents, multiBoxDataSources, multiBoxDataStorages, multiBoxDestinationType, multiBoxSourceType, multiBoxTreeWriteSources, neededParent, newFolderField, newTreeSourceField, outcomesProp, overwrite, panelGeneral, panels, passWorkspace, popups, portlet, printFolderString, resizeTimer, ResourceName, ResourceNameInGrid, rpCalls, schedulerService, scope, scopeInGrid, selectedAgentDestination, selectedAgentDestinationPath, selectedAgentDestinationPort, selectedAgentSource, selectedAgentSourcePath, selectedAgentSourcePort, selectedDataSourceId, selectedDatasourcePath, selectedDataStorageId, selectedDatastorageName, selectedDatastoragePath, selectedDestCollection, selectedMongoDBDestinationPath, selectedMongoDBSourcePath, sendButton, showDestinationsButton, showSchedulerButton, showSourcesButton, smAccessType, smAccessTypeSource, smOwner, smOwnerSource, smServiceClass, smServiceClassSource, smServiceName, smServiceNameSource, sourceAnchor, sourceStore, sourceTree, south, specificationLink, store, storeAgentStats, storeForUris, stringOfAgents, stringOfAgentStats, stringOfWriteSourceIDs, targetStore, targetTree, targetTreeDropTarget, time, timeLabel, toBeTransferredStore, toolbarDestF, toolbarSource, totalWidth, transferId, transferIdInGrid, transferInfoProp, treeOutcomesProp, typeOfSchedule, unzip, uriGrid, uriProp, vpListFiles, west`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Functionality()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `FolderDto` | `addTheGoBackOption(boolean isForSource)`
    `void` | `calculateAndSelectBestAgent(Common.FolderToRetrieve folderToRetrieve)`
    `boolean` | `checkFields()`
    `void` | `checkIfGoBack(com.sencha.gxt.widget.core.client.tree.Tree.TreeNode<BaseDto> node)`
    `boolean` | `checkMongoDBFields()`
    `boolean` | `checkMongoDBSourceFields()`
    `boolean` | `createAgentStats()`
    `com.sencha.gxt.widget.core.client.tips.ToolTipConfig` | `createAnchor(String message)`
    `com.google.gwt.user.client.ui.DialogBox` | `createDialogBox(com.google.gwt.user.client.ui.Widget widg)`
    `com.google.gwt.safehtml.shared.SafeHtml` | `createHeader(int width)`
    `com.google.gwt.user.client.ui.PopupPanel` | `createLoadingIcon()`
    `void` | `designTransferGrid()`
    `SchedulerObj` | `fillSchedulerObj(SchedulerObj scheduleObj)`
    `String` | `getParentName(String name, boolean isForSource)`
    `void` | `initTimers()`
    `void` | `loadSpecificFolder(Common.FolderToRetrieve folderToRetrieve, String agentName)`
    `void` | `loadTheTransfers()`
    `FolderDto` | `makeFolder(String name)`
    `void` | `popupDestTrees()`
    `void` | `printMsgInDialogBox(String message)`
    `void` | `replaceSubmitterInHeader()`
    `void` | `setDialogBoxForMessages()`
    `void` | `setSomeDefaultUris()`
    `void` | `startLoadingIcon(com.google.gwt.user.client.ui.Widget sender, com.google.gwt.user.client.ui.PopupPanel loadingIcon)`
    `void` | `stopLoadingIcon(com.google.gwt.user.client.ui.PopupPanel loadingIcon)`
    `void` | `transparentSelectionOfAgent(Common.FolderToRetrieve folderToRetrieve)`

    - ### Methods inherited from class org.gcube.datatransfer.portlets.user.client.Common

      `createGridEditing`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Functionality

          public Functionality()

  - ### Method Detail

    - #### initTimers

          public void initTimers()

    - #### setSomeDefaultUris

          public void setSomeDefaultUris()

    - #### checkIfGoBack

          public void checkIfGoBack(com.sencha.gxt.widget.core.client.tree.Tree.TreeNode<BaseDto> node)

    - #### createHeader

          public com.google.gwt.safehtml.shared.SafeHtml createHeader(int width)

    - #### transparentSelectionOfAgent

          public void transparentSelectionOfAgent(Common.FolderToRetrieve folderToRetrieve)

    - #### calculateAndSelectBestAgent

          public void calculateAndSelectBestAgent(Common.FolderToRetrieve folderToRetrieve)

    - #### loadSpecificFolder

          public void loadSpecificFolder(Common.FolderToRetrieve folderToRetrieve,
                                String agentName)

    - #### designTransferGrid

          public void designTransferGrid()

    - #### replaceSubmitterInHeader

          public void replaceSubmitterInHeader()

    - #### loadTheTransfers

          public void loadTheTransfers()

    - #### checkFields

          public boolean checkFields()

    - #### checkMongoDBFields

          public boolean checkMongoDBFields()

    - #### checkMongoDBSourceFields

          public boolean checkMongoDBSourceFields()

    - #### fillSchedulerObj

          public SchedulerObj fillSchedulerObj(SchedulerObj scheduleObj)

    - #### addTheGoBackOption

          public FolderDto addTheGoBackOption(boolean isForSource)

    - #### getParentName

          public String getParentName(String name,
                             boolean isForSource)

    - #### makeFolder

          public FolderDto makeFolder(String name)

    - #### createAgentStats

          public boolean createAgentStats()

    - #### setDialogBoxForMessages

          public void setDialogBoxForMessages()

    - #### printMsgInDialogBox

          public void printMsgInDialogBox(String message)

    - #### popupDestTrees

          public void popupDestTrees()

    - #### createDialogBox

          public com.google.gwt.user.client.ui.DialogBox createDialogBox(com.google.gwt.user.client.ui.Widget widg)

    - #### createAnchor

          public com.sencha.gxt.widget.core.client.tips.ToolTipConfig createAnchor(String message)

    - #### createLoadingIcon

          public com.google.gwt.user.client.ui.PopupPanel createLoadingIcon()

    - #### startLoadingIcon

          public void startLoadingIcon(com.google.gwt.user.client.ui.Widget sender,
                              com.google.gwt.user.client.ui.PopupPanel loadingIcon)

    - #### stopLoadingIcon

          public void stopLoadingIcon(com.google.gwt.user.client.ui.PopupPanel loadingIcon)

Copyright © 2015. All Rights Reserved.